Package org.gradle.jvm.toolchain

## Interface JavaToolchainResolverRegistry

-     @Incubating
      public interface JavaToolchainResolverRegistry

  The build level object/service provided by Gradle which Java toolchain provisioning plugins can access to register their `JavaToolchainResolver` implementations/build services into.
  Since:
    7.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T extends JavaToolchainResolver> void` | `register​(java.lang.Class<T> implementationType)` | Registers a `JavaToolchainResolver` implementation.

- - ### Method Detail

    - #### register

          <T extends JavaToolchainResolver> void register​(java.lang.Class<T> implementationType)

      Registers a `JavaToolchainResolver` implementation. The class name should be properly name-spaced, to avoid collisions (if another resolver class with the same fully qualified name is registered, a `GradleException` will be thrown).